import { LetterparserNode, LetterparserContentType } from './parser.js';
export interface LetterparserAttachment {
    contentType: LetterparserContentType;
    body: string | Uint8Array;
    contentId?: string;
    filename?: string;
}
export interface LetterparserMailbox {
    name?: string;
    address: string;
    raw: string;
}
export interface LetterparserMail {
    subject?: string;
    to?: LetterparserMailbox[];
    cc?: LetterparserMailbox[];
    bcc?: LetterparserMailbox[];
    date?: Date;
    from?: LetterparserMailbox;
    attachments?: LetterparserAttachment[];
    /**
     * HTML email data.
     */
    html?: string;
    /**
     * Plaintext email data.
     */
    text?: string;
    /**
     * AMP for Email data.
     * More information: https://amp.dev/documentation/guides-and-tutorials/learn/email-spec/amp-email-structure/
     */
    amp?: string;
}
export declare function extractMail(node: LetterparserNode): LetterparserMail;
