type Headers = {
    [k: string]: string | undefined;
};
export interface LetterparserContentType {
    type: string;
    encoding?: string;
    parameters: Headers;
}
export interface LetterparserNode {
    contentType: LetterparserContentType;
    headers: Headers;
    body: LetterparserNode | LetterparserNode[] | string | Uint8Array;
}
export declare function parseHeaderValue(value: string): {
    firstValue: string;
    parameters: Headers;
} | undefined;
export declare function parseContentType(value: string): LetterparserContentType | undefined;
export declare function parseBody(depth: number, lines: string[], lineStartIdx: number, lineEndIdx: number, lookaheadBoundaryLineIdx?: number): readonly [LetterparserNode, number];
export {};
